Package org.opencv.phase_unwrapping

## Class Params

- java.lang.Object
- - org.opencv.phase_unwrapping.Params

-     public class Params
      extends java.lang.Object

  Parameters of phaseUnwrapping constructor. width Phase map width. height Phase map height. histThresh Bins in the histogram are not of equal size. Default value is 3*pi*pi. The one before "histThresh" value are smaller. nbrOfSmallBins Number of bins between 0 and "histThresh". Default value is 10. nbrOfLargeBins Number of bins between "histThresh" and 32*pi*pi (highest edge reliability value). Default value is 5.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `Params()` |
    `protected` | `Params​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Params` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `int` | `get_height()` |
    `float` | `get_histThresh()` |
    `int` | `get_nbrOfLargeBins()` |
    `int` | `get_nbrOfSmallBins()` |
    `int` | `get_width()` |
    `long` | `getNativeObjAddr()` |
    `void` | `set_height​(int height)` |
    `void` | `set_histThresh​(float histThresh)` |
    `void` | `set_nbrOfLargeBins​(int nbrOfLargeBins)` |
    `void` | `set_nbrOfSmallBins​(int nbrOfSmallBins)` |
    `void` | `set_width​(int width)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Params

          protected Params​(long addr)

    - #### Params

          public Params()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Params __fromPtr__​(long addr)

    - #### get_width

          public int get_width()

    - #### set_width

          public void set_width​(int width)

    - #### get_height

          public int get_height()

    - #### set_height

          public void set_height​(int height)

    - #### get_histThresh

          public float get_histThresh()

    - #### set_histThresh

          public void set_histThresh​(float histThresh)

    - #### get_nbrOfSmallBins

          public int get_nbrOfSmallBins()

    - #### set_nbrOfSmallBins

          public void set_nbrOfSmallBins​(int nbrOfSmallBins)

    - #### get_nbrOfLargeBins

          public int get_nbrOfLargeBins()

    - #### set_nbrOfLargeBins

          public void set_nbrOfLargeBins​(int nbrOfLargeBins)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`